import java.io.*;

public class Main {



    public static void main(String[] args){
       Tetra oTet = new Tetra();
       oTet.edgecolor = "Gray";
       oTet.showfaces = true;
       oTet.facecolor = "Orange";
       oTet.vertcolor = "Gray";

       InvTetra oTet2 = new InvTetra();
       oTet2.edgecolor = "Gray";
       oTet2.showfaces = true;
       oTet2.facecolor = "Black";
       oTet2.vertcolor = "Gray";

       Cube oCube = new Cube();
       oCube.showfaces=false;
       oCube.showedges=true;
       oCube.edgecolor="Green";
       oCube.vertcolor="Green";

       Octahedron oOcta = new Octahedron();
       oOcta.showfaces=false;
       oOcta.showedges=true;
       oOcta.edgecolor="Red";

       Rhdodecahedron oDodeca = new Rhdodecahedron();
       oDodeca.showedges=true;
       oDodeca.edgecolor="Blue";
       oDodeca.vertcolor = "Blue";

       Cuboctahedron oCubocta = new Cuboctahedron();
       oCubocta.showfaces=true;
       oCubocta.setFaces(false);
       oCubocta.setFace("PRY",true);
       oCubocta.setFace("OPRQ",true);
       oCubocta.facecolor="Yellow";
       oCubocta.showverts=true;
       oCubocta.vertdiam=(float)0.1;
       oCubocta.vertcolor="Red";
       oCubocta.setVerts(false);
       oCubocta.setVert("P",true);
       oCubocta.setVert("R",true);
       oCubocta.setVert("Y",true);
       oCubocta.edgecolor="Yellow";

       XYZaxes oXYZ = new XYZaxes();

       Module bMod1 = new Module("IJK",0.5);
       bMod1.showfaces=true;
       bMod1.facecolor="Blue";
       bMod1.edgecolor="Red";

       Module abMod1 = new Module("IJK",1.0);
       abMod1.edgecolor="Red";

       Module bMod2 = new Module("JIK",0.5);
       bMod2.showfaces=true;
       bMod2.edgecolor="Red";
       bMod2.facecolor="Blue";


       Module abMod2 = new Module("JIK",1.0);
       abMod2.edgecolor="Red";

       Module abMod3 = new Module("JIK",1.5);
       abMod3.edgecolor="Red";


       Polys.openfile("script.pov");
       oTet.writepovray();
       //oTet.setrotate(30.0);
       //oTet.rotate();
       //oTet.writepovray();
       oTet2.writepovray();
       oCube.writepovray();
       oOcta.writepovray();
       oDodeca.writepovray();
       oCubocta.writepovray();
       //oXYZ.writepovray();
       //bMod1.writepovray();
       //abMod1.writepovray();
       //bMod2.writepovray();
       //abMod2.writepovray();
       //abMod3.writepovray();
       Polys.closefile();
    }



}
