import java.util.*;

class Module extends Polys {
/*

Module       (volume = ?)

Args "ABC", double projects

where "A"   = vertex (tetra vertex, existing label)
      "AB"  = edge (midpoint, label "2")
      "ABC" = face (midpoint, label "1")

	Last change:  KU   21 Mar 1999   11:28 pm
*/
     Module(String face, double projects){
       volume = 1.0/24.0;
       String a = new Character(face.charAt(0)).toString();
       String b = new Character(face.charAt(1)).toString();
       String c = new Character(face.charAt(2)).toString();


       vdict = new Hashtable(4);
       vdict.put("0",new Vertex(new double[]{0,0,0,0}));
       addverts(a);

       //compute face midpoint vector
       Vertex t = (Vertex)pdict.get(a);
       t  = ((Vertex)pdict.get(b)).add(t);
       vdict.put("2",t.mult(1.0/2.0));
       t  = ((Vertex)pdict.get(c)).add(t);
       vdict.put("1",t.mult(projects/3.0));

       edict = new Hashtable(6);
       addedges(new String[]{
         "0"+a,"01","02","1"+a,"2"+a,"12"});

       fdict = new Hashtable(4);
       addfaces(new String[]{
	 "012","02"+a,"01"+a,"12"+a});

    }
}
