import java.util.*;

class Cube extends Polys {
/*

CUBE       (volume = 3)
====

Vertices        Edges

A  1 0 0 0      (A,F)(A,G)(A,H)
B  0 1 0 0      (B,E)(B,G)(B,H)
C  0 0 1 0      (C,E)(C,F)(C,H)
D  0 0 0 1      (D,E)(D,F)(D,G)
E  0 1 1 1
F  1 0 1 1
G  1 1 0 1
H  1 1 1 0

	Last change:  KU   21 Mar 1999    3:29 pm
*/
     Cube(){
       volume = 3;
       facecolor = "Green";

       vdict = new Hashtable(8);
       addverts("ABCDEFGH");

       edict = new Hashtable(12);
       addedges(new String[]{"AF","AG","AH","BE","BG",
                "BH","CE","CF","CH","DE",
		"DF","DG"});

       fdict = new Hashtable(6);
       addfaces(new String[]{"AHCF","AHBG","BECH","BEDG","DFAG","CEDF"});
    }
}
