import java.util.*;

class XYZaxes extends Polys {
/*

XYZaxes     (volume = 0)
==========

Vertices              Edges

0 =       0 0 0 0     (0,I)(0,J)(0,K)
I = A+B = 1 1 0 0     (0,L)(0,M)(0,N)
J = A+C = 1 0 1 0
K = A+D = 1 0 0 1
L = B+C = 0 1 1 0
M = B+D = 0 1 0 1
N = C+D = 0 0 1 1


	Last change:  KU   21 Mar 1999    8:43 pm
*/
     XYZaxes(){
       showfaces = false;
       volume = 0.0;


       vdict = new Hashtable(7);
       vdict.put("0",new Vertex(new double[]{0,0,0,0}));
       addverts("IJKLMN");

       edict = new Hashtable(6);
       addedges(new String[]{
         "0I","0J","0K","0L","0M","0N"});

       fdict = new Hashtable(8);
       addfaces(new String[]{
	"IJK","ILM","IJL","IMK","NJK","NLM","NJK","NMK"});
    }
}
